
/*=============================================
  EDITAR USUARIO
=============================================*/
$(document).on("click", ".btnEditarEmpresa", function(){

	var idEmpresa = $(this).attr("idEmpresa");

	var datos = new FormData();
	datos.append("idEmpresa", idEmpresa);

  // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
	$.ajax({

		url:"ajax/empresa.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){


  //    console.log("Respuesta",respuesta);
			//EL AJAX REGRESA LOS REGISTROS ENCONTRADOS SEGUN EL ID QUE SE LE MANDO
      //Y LOS PASA A LOS VALORES ID EN LAS ETIQUETAS DE la pagina usuarios.pjp
    for (var i = 0; i < respuesta.length; i++) {
				$("#EditarEmpresa_").val(respuesta[i]["emp_nombre"]);
				$("#EditarDireccion").val(respuesta[i]["emp_direccion"]);
				$("#EditarCorreo").val(respuesta[i]["emp_correoElectronico"]);
				$("#EditarCP").val(respuesta[i]["emp_cp"]); // Como el Rol esta en un Select, se usa el elemento html para que se muestre
	      $("#EditarCiudad").val(respuesta[i]["emp_ciudad"]);// Aparte se le envia también el campo del rol al atributp Val para que se mantenga en el ID
				$("#EditarEstado").val(respuesta[i]["emp_estado"]);
				$("#EditarTelefono").val(respuesta[i]["emp_telefono"]);
	    	$("#EditarRFC").val(respuesta[i]["emp_rfc"]);
				$("#EditarTipoContribuyente").val(respuesta[i]["emp_tipoContribuyente"]);
				$("#EditarRazonSocial_").val(respuesta[i]["emp_razonSocial"]);
				$("#EditarDivisa_").val(respuesta[i]["id_divisa"]);
				$("#editarEmpresa").val(idEmpresa);

		}

	//	if(respuesta["us_foto"] != ""){ _IdEmpresa
        // Si el campo us_foto no esta vacio

        //La clase previsualizar se reemplaza con la foto en la base de datos
		//		$(".previsualizar").attr("src", respuesta["us_foto"]);// Se pasa la ruta de la foto al atributo 'src'

		//	}

		}

	});

})





/*=============================================
ELIMINAR USUARIO
=============================================*/
$(document).on("click", ".btnEliminarEmpresa", function(){

  var idEmpresa = $(this).attr("idEmpresa");


  swal({
    title: '¿Está seguro de borrar la empresa?',
    text: "¡Usted puede cancelar la orden!",
    type: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    cancelButtonText: 'Cancelar',
    confirmButtonText: 'Si, borrar empresa!'
  }).then(function(result){

    if(result.value){

      window.location = "index.php?ruta=empresas&idEmpresa="+idEmpresa;

    }

  })

})
